Package org.apache.any23.cli.flows

## Class PeopleExtractorFactory

- java.lang.Object
- - org.apache.any23.cli.flows.PeopleExtractorFactory

- All Implemented Interfaces:
    `DecoratingWriterFactory`, `WriterFactory`

      public class PeopleExtractorFactory
      extends Object
      implements DecoratingWriterFactory

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PeopleExtractorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Default Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getIdentifier()` |
    `default String` | `getMimeType()` | Deprecated.
    `default org.eclipse.rdf4j.rio.RDFFormat` | `getRdfFormat()` | Deprecated.
    `default FormatWriter` | `getRdfWriter​(OutputStream arg0)` | Deprecated.
    `Settings` | `getSupportedSettings()` |
    `TripleHandler` | `getTripleWriter​(TripleHandler delegate, Settings settings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PeopleExtractorFactory

          public PeopleExtractorFactory()

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `WriterFactory`

    - #### getTripleWriter

          public TripleHandler getTripleWriter​(TripleHandler delegate,
                                               Settings settings)

      Specified by:
        `getTripleWriter` in interface `DecoratingWriterFactory`

    - #### getSupportedSettings

          public Settings getSupportedSettings()

      Specified by:
        `getSupportedSettings` in interface `DecoratingWriterFactory`

    - #### getRdfWriter

          @Deprecated
          public default FormatWriter getRdfWriter​(OutputStream arg0)

      Deprecated.
      Specified by:
        `getRdfWriter` in interface `WriterFactory`

    - #### getMimeType

          @Deprecated
          public default String getMimeType()

      Deprecated.
      Specified by:
        `getMimeType` in interface `WriterFactory`

    - #### getRdfFormat

          @Deprecated
          public default org.eclipse.rdf4j.rio.RDFFormat getRdfFormat()

      Deprecated.
      Specified by:
        `getRdfFormat` in interface `WriterFactory`